package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag796;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT796Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT796Creator mt796Creator;

    public Tag79Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt796Creator = (MT796Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag75Value = mt796Creator.getNarrativeDescriptionOriginal();
        mt796Creator.set("79", tag75Value);
    }
}
